class_name GameStateType
extends Node

const TARGET_FPS: float = 60.0

const FRICTION: float = 0.3
const AIR_DRAG: float = 0.03

# heat accrued each frame from sun exposure
# 100 heat / (5 minutes * 60 frames/second) = about 0.005556 heat/frame
const SOLAR_HEAT_RATE: float = 0.005556

var player_1_structure: int = 3
var player_2_structure: int = 3

# Get the gravity from the project settings to be synced with RigidBody nodes.
var gravity: float = ProjectSettings.get_setting("physics/3d/default_gravity")

var game_map: Node3D:
	get:
		assert(game_map, "Map accessed before game initialization!")
		return game_map
